Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.stat.descriptive
Interface UnivariateStatistic

All Superinterfaces:
  MathArrays.Function

All Known Subinterfaces:
  StorelessUnivariateStatistic

All Known Implementing Classes:
  AbstractStorelessUnivariateStatistic, AbstractUnivariateStatistic, GeometricMean, Kurtosis, Max, Mean, Median, Min, Percentile, Product, SecondMoment, SemiVariance, Skewness, StandardDeviation, Sum, SumOfLogs, SumOfSquares, Variance

    public interface UnivariateStatistic

extends MathArrays.Function

Base interface implemented by all statistics.

Version:
  $Id: UnivariateStatistic.java 1416643 2012-12-03 19:37:14Z tn $

Method Summary
`UnivariateStatistic` | `copy()` Returns a copy of the statistic with the same internal state.
`double` | `evaluate(double[] values)` Returns the result of evaluating the statistic over the input array.
`double` | `evaluate(double[] values, int begin, int length)` Returns the result of evaluating the statistic over the specified entries in the input array.

Method Detail

### evaluate

    double evaluate(double[] values)
                    throws MathIllegalArgumentException

  Returns the result of evaluating the statistic over the input array.

  Specified by:
    `evaluate` in interface `MathArrays.Function`
  Parameters:
    `values` - input array
  Returns:
    the value of the statistic applied to the input array
  Throws:
    `MathIllegalArgumentException` - if values is null

### evaluate

    double evaluate(double[] values,
                    int begin,
                    int length)
                    throws MathIllegalArgumentException

  Returns the result of evaluating the statistic over the specified entries in the input array.

  Specified by:
    `evaluate` in interface `MathArrays.Function`
  Parameters:
    `values` - the input array
    `begin` - the index of the first element to include
    `length` - the number of elements to include
  Returns:
    the value of the statistic applied to the included array entries
  Throws:
    `MathIllegalArgumentException` - if values is null or the indices are invalid

### copy

    UnivariateStatistic copy()

  Returns a copy of the statistic with the same internal state.

  Returns:
    a copy of the statistic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.